Bug 1395739 - Can't install 25 Beta as a Xen PV guest
Summary: Can't install 25 Beta as a Xen PV guest
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fadff41fc2ce056fabc51b957d8...
Depends On:
Blocks: F25FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2016-11-16 14:54 UTC by Dario Faggioli
Modified: 2017-12-12 10:31 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
https://bugzilla.redhat.com/show_bug.cgi?id=1395739#
Last Closed: 2017-12-12 10:31:13 UTC


Attachments (Terms of Use)
File: anaconda-tb (528.86 KB, text/plain)
2016-11-16 14:54 UTC, Dario Faggioli
no flags Details
File: anaconda.log (34.27 KB, text/plain)
2016-11-16 14:54 UTC, Dario Faggioli
no flags Details
File: dnf.librepo.log (168.02 KB, text/plain)
2016-11-16 14:55 UTC, Dario Faggioli
no flags Details
File: environ (482 bytes, text/plain)
2016-11-16 14:55 UTC, Dario Faggioli
no flags Details
File: hawkey.log (4.06 KB, text/plain)
2016-11-16 14:55 UTC, Dario Faggioli
no flags Details
File: lsblk_output (1.03 KB, text/plain)
2016-11-16 14:55 UTC, Dario Faggioli
no flags Details
File: nmcli_dev_list (1.24 KB, text/plain)
2016-11-16 14:55 UTC, Dario Faggioli
no flags Details
File: os_info (449 bytes, text/plain)
2016-11-16 14:55 UTC, Dario Faggioli
no flags Details
File: program.log (20.02 KB, text/plain)
2016-11-16 14:55 UTC, Dario Faggioli
no flags Details
File: storage.log (65.73 KB, text/plain)
2016-11-16 14:55 UTC, Dario Faggioli
no flags Details
File: syslog (50.08 KB, text/plain)
2016-11-16 14:55 UTC, Dario Faggioli
no flags Details
File: ifcfg.log (4.05 KB, text/plain)
2016-11-16 14:55 UTC, Dario Faggioli
no flags Details
File: packaging.log (10.82 KB, text/plain)
2016-11-16 14:55 UTC, Dario Faggioli
no flags Details

Description Dario Faggioli 2016-11-16 14:54:39 UTC
Description of problem:
I've been trying to install 25 Beta x86_64 as a Xen PV guest. Just after
having finished configuring everything, and when starting the installation,
I get the backtrace reported below, and can't go any further.

I've tried both graphical and serial install. And this happens both with
Workstation and Server

In fact, I've downloaded vmlinux and initrd.img from here:
http://ftp.icm.edu.pl/pub/Linux/fedora/linux/releases/test/25_Beta/Server/x86_64/os/images/pxeboot/

and appended this to the kernel boot command line:
repo=http://ftp.icm.edu.pl/pub/Linux/fedora/linux/releases/test/25_Beta/Server/x86_64/os/

and the same using 'Workstation' instead of 'Server', but the result is the same.

Version-Release number of selected component:
anaconda-25.20.4-1

The following was filed automatically by anaconda:
anaconda 25.20.4-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.5/site-packages/blivet/formats/__init__.py", line 558, in _pre_destroy
    raise DeviceFormatError("device path does not exist or is not writable")
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/formats/__init__.py", line 545, in destroy
    self._pre_destroy(**kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/devices/partition.py", line 633, in _post_create
    DeviceFormat(device=self.path, exists=True).destroy()
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/devices/storage.py", line 444, in create
    self._post_create()
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/deviceaction.py", line 318, in execute
    self.device.create()
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/actionlist.py", line 325, in process
    action.execute(callbacks)
  File "/usr/lib/python3.5/site-packages/blivet/actionlist.py", line 48, in wrapped_func
    return func(obj, *args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/blivet.py", line 163, in do_it
    self.devicetree.actions.process(callbacks=callbacks, devices=self.devices)
  File "/usr/lib/python3.5/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.5/site-packages/blivet/osinstall.py", line 1112, in turn_on_filesystems
    storage.do_it(callbacks)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/install.py", line 204, in doInstall
    turn_on_filesystems(storage, mount_only=flags.flags.dirInstall, callbacks=callbacks_reg)
  File "/usr/lib64/python3.5/threading.py", line 862, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self, *args, **kwargs)
blivet.errors.DeviceFormatError: device path does not exist or is not writable

Additional info:
addons:         com_redhat_kdump, com_redhat_docker
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   console=hvc0 repo=http://ftp.icm.edu.pl/pub/Linux/fedora/linux/releases/test/25_Beta/Server/x86_64/os/
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.8.0-0.rc7.git0.1.fc25.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        25

Comment 1 Dario Faggioli 2016-11-16 14:54:53 UTC
Created attachment 1221216 [details]
File: anaconda-tb

Comment 2 Dario Faggioli 2016-11-16 14:54:55 UTC
Created attachment 1221217 [details]
File: anaconda.log

Comment 3 Dario Faggioli 2016-11-16 14:55:00 UTC
Created attachment 1221218 [details]
File: dnf.librepo.log

Comment 4 Dario Faggioli 2016-11-16 14:55:01 UTC
Created attachment 1221219 [details]
File: environ

Comment 5 Dario Faggioli 2016-11-16 14:55:03 UTC
Created attachment 1221220 [details]
File: hawkey.log

Comment 6 Dario Faggioli 2016-11-16 14:55:04 UTC
Created attachment 1221221 [details]
File: lsblk_output

Comment 7 Dario Faggioli 2016-11-16 14:55:06 UTC
Created attachment 1221222 [details]
File: nmcli_dev_list

Comment 8 Dario Faggioli 2016-11-16 14:55:07 UTC
Created attachment 1221223 [details]
File: os_info

Comment 9 Dario Faggioli 2016-11-16 14:55:10 UTC
Created attachment 1221224 [details]
File: program.log

Comment 10 Dario Faggioli 2016-11-16 14:55:12 UTC
Created attachment 1221225 [details]
File: storage.log

Comment 11 Dario Faggioli 2016-11-16 14:55:15 UTC
Created attachment 1221226 [details]
File: syslog

Comment 12 Dario Faggioli 2016-11-16 14:55:18 UTC
Created attachment 1221227 [details]
File: ifcfg.log

Comment 13 Dario Faggioli 2016-11-16 14:55:20 UTC
Created attachment 1221228 [details]
File: packaging.log

Comment 14 Dario Faggioli 2016-11-18 18:13:37 UTC
I have tried doing the same on KVM (well, something similar, of course there's no PV guests in there), and it worked.

Also, I've done several 25 Beta installs as HVM guests, and they all work ok.

So it looks like a Xen PV guest thing...

Dario

Comment 15 Dario Faggioli 2016-11-18 18:24:16 UTC
Proposing as blocker as I think it violates the Xen DomU criterion:

https://fedoraproject.org/wiki/Fedora_24_Final_Release_Criteria#Xen_DomU
https://fedoraproject.org/wiki/QA:Testcase_Boot_Methods_Xen_Para_Virt

Comment 16 Adam Williamson 2016-11-19 01:18:48 UTC
Sorry, but this was too late. We signed off on Final yesterday. This stuff really needs to be tested at or before Beta, not the day after we sign off on Final.

Comment 17 Dario Faggioli 2016-11-21 21:23:08 UTC
(In reply to Adam Williamson from comment #16)
> Sorry, but this was too late. We signed off on Final yesterday. This stuff
> really needs to be tested at or before Beta, not the day after we sign off
> on Final.

Ok, fine, we'll coordinate better next time.

That being said, can I still hope to see this fixed, post release? I'm happy to try more things, and to provide more info, if someone tells me what could be useful..

Thanks, Dario

Comment 18 Michael Young 2016-11-23 16:06:32 UTC
I had a go at reproducing this with a text install of the F25 (server) release, but the install worked for me until I interrupted it once the package installs were running so I don't think it is a generic issue with a DomU F25 install and probably something specific to your set up.

Comment 19 Dario Faggioli 2016-11-25 11:30:34 UTC
(In reply to Michael Young from comment #18)
> I had a go at reproducing this with a text install of the F25 (server)
>
Thanks for looking.

> release, but the install worked for me until I interrupted it once the
> package installs were running so I don't think it is a generic issue with a
> DomU F25 install and probably something specific to your set up.
>
I'm super glad to hear this. :-)

It did look like it could be an infra or config issue, but it's pretty reproducible here. Do you mind sharing what you are doing exactly, so I can check my own doing, fix it, if there is something wrong, and cause less noise next time? :-P

Email is ok, we don't want to abuse of this space. Thanks

Comment 20 Fedora End Of Life 2017-11-16 18:52:00 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 21 Fedora End Of Life 2017-12-12 10:31:13 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.